Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612615 - ttl units not correct
ttl units not correct
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
Development
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Rafael H. Schloming
MRG Quality Engineering
:
Depends On:
Blocks: 612632
  Show dependency treegraph
 
Reported: 2010-07-08 11:46 EDT by Rafael H. Schloming
Modified: 2014-12-01 18:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 612632 (view as bug list)
Environment:
Last Closed: 2013-02-25 05:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2010-07-08 11:46:09 EDT
Description of problem:

The Message API defines the ttl field as a float measuring seconds. The protocol uses milliseconds, and the API implementation is not properly converting.

How reproducible:

100%

Steps to Reproduce:
1. Publish a message with the ttl specified in seconds.
2. Check the protocol trace.
  
Actual results:

The value measured in seconds is directly put on the wire.

Expected results:

The value should first be converted to milliseconds.

Note You need to log in before you can comment on or make changes to this bug.